getBaseline {baseline} | R Documentation

## Functions to extract the components of a "baseline" object

### Description

The functions extract the `baseline`, `spectra`, `corrected` or `call` slot of a `baseline` object; usually the result of a call to `baseline`.

### Usage

    getBaseline(object)
    getSpectra(object)
    getCorrected(object)
    getCall(object)

### Arguments

`object` | A `baseline` object

### Value

`getCall` returns the `baseline` call used to create the object. The other functions return a matrix with the original spectra, estimated baselines or corrected spectra.

### Warning

In a future versoion, one of the slots might be removed from the class definition and calculated on the fly instead, in order to save space. Therefore, do use the extractor functions (`getSpectra`, `getBaseline` and `getCorrected`) instead of accessing the slots directly.

### Author(s)

Bjørn-Helge Mevik and Kristian Hovde Liland

### See Also

The function `baseline`, the class `baseline`

### Examples

    data(milk)
    bl <- baseline(milk$spectra[1:2,])
    baseline  <- getBaseline(bl)
    spectra   <- getSpectra(bl)
    corrected <- getCorrected(bl)
    call      <- getCall(bl)

[Package baseline version 1.2-1 Index]